## python-pysnmp4 4.4.6

=== requirements.txt ===
pysmi
pyasn1>=0.2.3
ordereddict; python_version < '2.7'

## python-pysnmp4 4.2.2

=== debian/changelog ===
python-pysnmp4 (4.2.2-1) unstable; urgency=low

  * Team upload.

  [ Deepak Tripathi ]
  * Bumped Standard version to 3.8.4 (No changes).
  * debian/control
     + added myself to uploaders.
     + added ${misc:Depends} because debhelper required now.
     + removed python-dev and added python.
     + added python-twisted as Depends.
     + added python-setuptools as BD.
  * debian/copyright
     + added debian's copyright information.
     + formated and updated copy information.
  * debian/
     + added python-pysnmp4-doc.doc-base because package has some
       html,pdf files.
  * debian/source
     + switch to dpkg-source 3.0 (quilt) format.
  * debian/libsmi2pysnmp.1
     + removed hyphen-used-as-minus-sign.

  [ Arnaud Fontaine ]
  * New upstream release. Closes: #620229, #585321.
    + API versioning has been retired since 4.1.12a and pysnmp version 2
      is not supported nor available anymore, so drop python-pysnmp-common.
  * debian/control:
    + Remove myself from Maintainer as Jan Lübbe is now the maintainer.
    + Bump Standards-Version to 3.9.3. No changes needed.
  * Switch from deprecated python-support to dh_python2.
  * Switch debian/copyright to machine-readable format.
  * Add debian/source/options to fix double build issue because of
    .egg-info by ignoring it.

 -- Arnaud Fontaine <arnau@debian.org>  Mon, 21 May 2012 15:07:04 +0900

python-pysnmp4 (4.1.9a-2) unstable; urgency=medium

  * Team upload.
  * Update Vcs-* fields.
  * Make sure that pysnmp/__init__.py is removed from the python-pysnmp4
    package even when built with python-support (>= 0.90). Thanks to Adam D.
    Barratt for spotting the bug.
  * Ensure that python-pysnmp{2,4,-common} use the same directory layout
    (closes: #591503).
    + Make python-pysnmp4 depend on python-pysnmp-common (>= 4.1.9a-2);
    + Make python-pysnmp-common break and replace python-pysnmp2 (<< 2.0.9-3).
    + Make python-pysnmp-common break python-pysnmp4 (<< 4.1.9a-2).
    Thanks to Christoph Egger for the bug report.

 -- Jakub Wilk <jwilk@debian.org>  Wed, 12 Jan 2011 00:11:54 +0100

python-pysnmp4 (4.1.9a-1) unstable; urgency=low

  [ Arnaud Fontaine ]
  * New upstream release.
  * New email address.
  * Remove useless debian/control.in.
  * debian/control:
    + Update Standards-Version to 3.7.3. No changes needed.
    + Rename libsmi2 to libsmi2ldbl in Depends due to long double
      transition.  Closes: #469846.
    + Stated that pysnmp4 also supports SNMP v.3. Closes: #469739.

  [ Piotr Ożarowski ]
  * debian/control:
    + Vcs-Browser and Homepage fields added (dpkg support them now).
    + XS-Vcs-Svn field renamed to Vcs-Svn (dpkg support it now).

  [ Sandro Tosi ]
  * debian/control
    - Uniforming Vcs-Browser field.

 -- Arnaud Fontaine <arnau@debian.org>  Tue, 11 Mar 2008 15:32:48 +0000

python-pysnmp4 (4.1.8a-1) unstable; urgency=low

  * New upstream release
  * Update my maintainer address

 -- Jan Luebbe <jluebbe@debian.org>  Sun, 26 Aug 2007 13:48:44 +0200

python-pysnmp4 (4.1.7a-1) unstable; urgency=low

  [ Arnaud Fontaine ]
  * New upstream release.
    + Now choose the last version of pysnmp when multiple versions are
      installed. Closes: #415032.

  [ Piotr Ozarowski ]
  * Added XS-Vcs-Svn field

 -- Arnaud Fontaine <arnaud@andesi.org>  Tue, 17 Apr 2007 00:14:22 +0200

python-pysnmp4 (4.1.6a-2) unstable; urgency=low

   * New Python policy changes.
    + debian/rules:
      - Add DEB_PYTHON_SYSTEM=pysupport.
      - Clean debian/rules.
    + debian/control.in
      - Clean Build-Depends and Depends, cdbs handles that
        automatically now.
      - XB-Python-Version and Provides for binary package.
    + debian/postinst && debian/prerm:
      - Remove "hand made" python-support stuff, cdbs does this.

 -- Arnaud Fontaine <arnaud@andesi.org>  Tue, 20 Jun 2006 12:20:29 +0200

python-pysnmp4 (4.1.6a-1) unstable; urgency=low

  * Initial release. Closes: #263417.

 -- Jan Luebbe <jluebbe@lasnet.de>  Thu,  1 Jun 2006 16:39:10 +0200

=== debian/control ===
Source: python-pysnmp4
Section: python
Priority: optional
Maintainer: Jan Lübbe <jluebbe@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>,
	   Deepak Tripathi <apenguinlinux@gmail.com>
Standards-Version: 3.9.3
Build-Depends: debhelper (>= 5.0.37.2),
               cdbs (>= 0.4.90~), 
               python-all (>= 2.6.6-3~),
	       python-setuptools
Homepage: http://pysnmp.sourceforge.net/
X-Python-Version: >= 2.4
Vcs-Svn: svn://svn.debian.org/python-modules/packages/python-pysnmp4/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/python-pysnmp4/trunk/

Package: python-pysnmp4
Architecture: all
Depends: ${python:Depends},
         libsmi2ldbl,
         libsmi2-common,
         python-pyasn1,
	 ${misc:Depends}
Recommends: python-crypto,
            python-pysnmp4-mibs,
            python-pysnmp4-apps,
            python-twisted
Suggests: python-pysnmp4-doc, doc-base
Conflicts: python-pysnmp2,
           python-pysnmp-common
Replaces: python-pysnmp2,
          python-pysnmp-common
Provides: python-pysnmp2,
          python-pysnmp-common
Description: Python SNMP library for agents and managers (unstable branch)
 This  is a  Python implementation  of SNMP  v.1/v.2c/v.3  engine. Its
 general  functionality  is   to  assemble/disassemble  SNMP  messages
 from/into given SNMP Object  IDs along with associated values. PySNMP
 also provides a few transport methods specific to TCP/IP networking.
 .
 PySNMP is written entirely in  Python and is self-sufficient in terms
 that it does not rely on any third party tool (it isn't a wrapper).
 .
 PySNMP 4.x is the unstable branch.

Package: python-pysnmp4-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: Python SNMP library for agents and managers (unstable branch)
 This  is a  Python implementation  of SNMP  v.1/v.2c/v.3  engine. Its
 general  functionality  is   to  assemble/disassemble  SNMP  messages
 from/into given SNMP Object  IDs along with associated values. PySNMP
 also provides a few transport methods specific to TCP/IP networking.
 .
 PySNMP is written entirely in  Python and is self-sufficient in terms
 that it does not rely on any third party tool (it isn't a wrapper).
 .
 PySNMP 4.x is the unstable branch.
 .
 This package contains the documentation for PySNMP.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk

# Don't compress .py files
DEB_COMPRESS_EXCLUDE := .py

DEB_PYTHON_INSTALL_ARGS_ALL += --install-layout=deb
DEB_DESTDIR=debian/python-pysnmp4

## python-pysnmp4 4.2.5

=== debian/changelog ===
python-pysnmp4 (4.2.5-1) unstable; urgency=low

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Fri, 01 Nov 2013 11:19:33 +0100

python-pysnmp4 (4.2.4-2) unstable; urgency=low

  * Depends on smitools for build-pysnmp-mib. Closes: #691228.
  * Build python3-pysnmp package. Closes: #706718.
  * Remove dependency on libsmi*: we only need smidump.

 -- Vincent Bernat <bernat@debian.org>  Tue, 24 Sep 2013 00:12:33 +0200

python-pysnmp4 (4.2.4-1) unstable; urgency=low

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Vincent Bernat ]
  * New upstream release.
     + Remove patch for libsmi2pysnmp: applied upstream.
  * Add myself as an uploader.
  * Bump Standards-Version to 3.9.4.

 -- Vincent Bernat <bernat@debian.org>  Fri, 26 Jul 2013 22:27:29 +0200

=== debian/control ===
--- 
+++ 
@@ -3,23 +3,22 @@
 Priority: optional
 Maintainer: Jan Lübbe <jluebbe@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>,
-	   Deepak Tripathi <apenguinlinux@gmail.com>
-Standards-Version: 3.9.3
+	   Deepak Tripathi <apenguinlinux@gmail.com>, Vincent Bernat <bernat@debian.org>
+Standards-Version: 3.9.4
 Build-Depends: debhelper (>= 5.0.37.2),
                cdbs (>= 0.4.90~), 
-               python-all (>= 2.6.6-3~),
-	       python-setuptools
+               python-all (>= 2.6.6-3~), python3-all,
+	       python-setuptools, python3-setuptools,
+               python-crypto, python3-crypto
 Homepage: http://pysnmp.sourceforge.net/
 X-Python-Version: >= 2.4
-Vcs-Svn: svn://svn.debian.org/python-modules/packages/python-pysnmp4/trunk/
-Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/python-pysnmp4/trunk/
+Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-pysnmp4/trunk/
+Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-pysnmp4/trunk/
 
 Package: python-pysnmp4
 Architecture: all
 Depends: ${python:Depends},
-         libsmi2ldbl,
-         libsmi2-common,
-         python-pyasn1,
+         smitools,
 	 ${misc:Depends}
 Recommends: python-crypto,
             python-pysnmp4-mibs,
@@ -32,7 +31,7 @@
           python-pysnmp-common
 Provides: python-pysnmp2,
           python-pysnmp-common
-Description: Python SNMP library for agents and managers (unstable branch)
+Description: Python SNMP library for agents and managers (Python 2 module)
  This  is a  Python implementation  of SNMP  v.1/v.2c/v.3  engine. Its
  general  functionality  is   to  assemble/disassemble  SNMP  messages
  from/into given SNMP Object  IDs along with associated values. PySNMP
@@ -41,7 +40,24 @@
  PySNMP is written entirely in  Python and is self-sufficient in terms
  that it does not rely on any third party tool (it isn't a wrapper).
  .
- PySNMP 4.x is the unstable branch.
+ This package provides Python 2 module.
+
+Package: python3-pysnmp4
+Architecture: all
+Depends: ${python3:Depends},
+	 ${misc:Depends}
+Recommends: python3-crypto,
+Suggests: python-pysnmp4-doc, doc-base
+Description: Python SNMP library for agents and managers (Python 3 module)
+ This  is a  Python implementation  of SNMP  v.1/v.2c/v.3  engine. Its
+ general  functionality  is   to  assemble/disassemble  SNMP  messages
+ from/into given SNMP Object  IDs along with associated values. PySNMP
+ also provides a few transport methods specific to TCP/IP networking.
+ .
+ PySNMP is written entirely in  Python and is self-sufficient in terms
+ that it does not rely on any third party tool (it isn't a wrapper).
+ .
+ This package provides Python 3 module.
 
 Package: python-pysnmp4-doc
 Section: doc
@@ -56,6 +72,4 @@
  PySNMP is written entirely in  Python and is self-sufficient in terms
  that it does not rely on any third party tool (it isn't a wrapper).
  .
- PySNMP 4.x is the unstable branch.
- .
  This package contains the documentation for PySNMP.

=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,3 @@
 
 # Don't compress .py files
 DEB_COMPRESS_EXCLUDE := .py
-
-DEB_PYTHON_INSTALL_ARGS_ALL += --install-layout=deb
-DEB_DESTDIR=debian/python-pysnmp4

=== debian/watch ===
version=3
http://qa.debian.org/watch/sf.php/pysnmp/ pysnmp-(4.*).tar.gz

## python-pysnmp4 4.3.2

=== debian/changelog ===
python-pysnmp4 (4.3.2-2) unstable; urgency=medium

  * Disable network access for Sphinx. Closes: #830605.

 -- Vincent Bernat <bernat@debian.org>  Sun, 17 Jul 2016 07:28:22 +0200

python-pysnmp4 (4.3.2-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

  [ Vincent Bernat ]
  * New upstream release.
  * Remove manual pages for tools not shipped anymore by PySNMP.
  * Switch buildsystem to pybuild.
  * Switch to sphinx to build documentation.
  * Give ownership to DPMT.
  * Bump Standards-Version.

 -- Vincent Bernat <bernat@debian.org>  Sat, 02 Jul 2016 16:12:53 +0200

=== debian/control ===
--- 
+++ 
@@ -1,30 +1,32 @@
 Source: python-pysnmp4
 Section: python
 Priority: optional
-Maintainer: Jan Lübbe <jluebbe@debian.org>
-Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>,
-	   Deepak Tripathi <apenguinlinux@gmail.com>, Vincent Bernat <bernat@debian.org>
-Standards-Version: 3.9.4
-Build-Depends: debhelper (>= 5.0.37.2),
-               cdbs (>= 0.4.90~), 
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Uploaders: Jan Lübbe <jluebbe@debian.org>,
+	   Deepak Tripathi <apenguinlinux@gmail.com>,
+           Vincent Bernat <bernat@debian.org>
+Standards-Version: 3.9.8
+Build-Depends: debhelper (>= 9),
+               dh-python,
+               python-sphinx, python-sphinx-rtd-theme,
                python-all (>= 2.6.6-3~), python3-all,
 	       python-setuptools, python3-setuptools,
-               python-crypto, python3-crypto
+               python-crypto, python3-crypto,
+               python-pyasn1, python3-pyasn1
 Homepage: http://pysnmp.sourceforge.net/
 X-Python-Version: >= 2.4
-Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-pysnmp4/trunk/
-Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-pysnmp4/trunk/
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-pysnmp4.git
+Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-pysnmp4.git
 
 Package: python-pysnmp4
 Architecture: all
 Depends: ${python:Depends},
          smitools,
 	 ${misc:Depends}
-Recommends: python-crypto,
-            python-pysnmp4-mibs,
+Recommends: python-pysnmp4-mibs,
             python-pysnmp4-apps,
             python-twisted
-Suggests: python-pysnmp4-doc, doc-base
+Suggests: python-pysnmp4-doc
 Conflicts: python-pysnmp2,
            python-pysnmp-common
 Replaces: python-pysnmp2,
@@ -46,8 +48,7 @@
 Architecture: all
 Depends: ${python3:Depends},
 	 ${misc:Depends}
-Recommends: python3-crypto,
-Suggests: python-pysnmp4-doc, doc-base
+Suggests: python-pysnmp4-doc
 Description: Python SNMP library for agents and managers (Python 3 module)
  This  is a  Python implementation  of SNMP  v.1/v.2c/v.3  engine. Its
  general  functionality  is   to  assemble/disassemble  SNMP  messages

## python-pysnmp4 4.4.3

=== debian/changelog ===
python-pysnmp4 (4.4.3-1) unstable; urgency=medium

  * New upstream release.
     + Update dependencies.
  * d/patches: update privacy-breach patch.
  * d/watch: tarballs are now released on GitHub.
  * d/control: bump Standards-Version.
  * d/control: add test suite.
  * d/copyright: move from BSD-3-clause to BSD-2-clause.

 -- Vincent Bernat <bernat@debian.org>  Sun, 31 Dec 2017 14:08:51 +0100

=== debian/control ===
--- 
+++ 
@@ -5,18 +5,20 @@
 Uploaders: Jan Lübbe <jluebbe@debian.org>,
 	   Deepak Tripathi <apenguinlinux@gmail.com>,
            Vincent Bernat <bernat@debian.org>
-Standards-Version: 3.9.8
+Standards-Version: 4.1.2
 Build-Depends: debhelper (>= 9),
                dh-python,
-               python-sphinx, python-sphinx-rtd-theme,
+               python3-sphinx, python3-sphinx-rtd-theme,
                python-all (>= 2.6.6-3~), python3-all,
 	       python-setuptools, python3-setuptools,
-               python-crypto, python3-crypto,
-               python-pyasn1, python3-pyasn1
+               python-pycryptodome, python3-pycryptodome,
+               python-twisted, python3-twisted,
+               python-pysmi, python3-pysmi,
+               python-pyasn1 (>= 0.2.3) , python3-pyasn1 (>= 0.2.3)
 Homepage: http://pysnmp.sourceforge.net/
-X-Python-Version: >= 2.4
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-pysnmp4.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-pysnmp4.git
+Testsuite: autopkgtest-pkg-python
 
 Package: python-pysnmp4
 Architecture: all
@@ -26,7 +28,6 @@
 Recommends: python-pysnmp4-mibs,
             python-pysnmp4-apps,
             python-twisted
-Suggests: python-pysnmp4-doc
 Conflicts: python-pysnmp2,
            python-pysnmp-common
 Replaces: python-pysnmp2,
@@ -48,7 +49,6 @@
 Architecture: all
 Depends: ${python3:Depends},
 	 ${misc:Depends}
-Suggests: python-pysnmp4-doc
 Description: Python SNMP library for agents and managers (Python 3 module)
  This  is a  Python implementation  of SNMP  v.1/v.2c/v.3  engine. Its
  general  functionality  is   to  assemble/disassemble  SNMP  messages

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

export PYBUILD_NAME=pysnmp4

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

# There are no unittests, but some documentation string may be
# executed while they are not really unittests.
override_dh_auto_test:

override_dh_installdocs:
	dh_installdocs
	http_proxy=http://127.0.0.1:9 \
	https_proxy=https://127.0.0.1:9 \
	PYTHONPATH=. sphinx-build -N -q -E -b html docs/source/ \
		debian/python-pysnmp4-doc/usr/share/doc/python-pysnmp4-doc/html/

## python-pysnmp4 4.4.6

=== debian/changelog ===
python-pysnmp4 (4.4.6-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs

  [ Vincent Bernat ]
  * New upstream release.
     - tolerate duplicate enumerations. Closes: #906978.

 -- Vincent Bernat <bernat@debian.org>  Fri, 14 Sep 2018 11:37:59 +0200

python-pysnmp4 (4.4.5-1) unstable; urgency=medium

  * New upstream version.
  * d/patches: drop Python 3.7 patch, applied upstream.

 -- Vincent Bernat <bernat@debian.org>  Mon, 06 Aug 2018 00:21:03 +0200

python-pysnmp4 (4.4.3-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field

  [ Michal Arbet ]
  * Add 0002-Fix-py37-async-as-keyword.patch (Closes: #904357)

 -- Michal Arbet <michal.arbet@ultimum.io>  Tue, 31 Jul 2018 12:59:43 +0300

## python-pysnmp4 4.4.6%2Brepack1

=== debian/control ===
--- 
+++ 
@@ -16,8 +16,8 @@
                python-pysmi, python3-pysmi,
                python-pyasn1 (>= 0.2.3) , python3-pyasn1 (>= 0.2.3)
 Homepage: http://pysnmp.sourceforge.net/
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-pysnmp4.git
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-pysnmp4.git
+Vcs-Git: https://salsa.debian.org/python-team/modules/python-pysnmp4.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/python-pysnmp4
 Testsuite: autopkgtest-pkg-python
 
 Package: python-pysnmp4

## python-pysnmp4 4.4.6+repack1

=== debian/changelog ===
python-pysnmp4 (4.4.6+repack1-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Sandro Tosi ]
  * Drop python2 support; Closes; #938094
  * debian/patches/0002-Reproducible-build.patch
    - make build reproducible, patch by Chris Lamb; Closes: #886003

 -- Sandro Tosi <morph@debian.org>  Fri, 20 Mar 2020 22:05:44 -0400

python-pysnmp4 (4.4.6+repack1-1) unstable; urgency=medium

  * Fix upstream tarball. Previous upload was using a snapshot of master.
    Closes: #910269.

 -- Vincent Bernat <bernat@debian.org>  Fri, 05 Oct 2018 17:48:53 +0200

=== debian/control ===
--- 
+++ 
@@ -6,44 +6,19 @@
 	   Deepak Tripathi <apenguinlinux@gmail.com>,
            Vincent Bernat <bernat@debian.org>
 Standards-Version: 4.1.2
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper-compat (= 9),
                dh-python,
                python3-sphinx, python3-sphinx-rtd-theme,
-               python-all (>= 2.6.6-3~), python3-all,
-	       python-setuptools, python3-setuptools,
-               python-pycryptodome, python3-pycryptodome,
-               python-twisted, python3-twisted,
-               python-pysmi, python3-pysmi,
-               python-pyasn1 (>= 0.2.3) , python3-pyasn1 (>= 0.2.3)
+               python3-all,
+	       python3-setuptools,
+               python3-pycryptodome,
+               python3-twisted,
+               python3-pysmi,
+               python3-pyasn1 (>= 0.2.3)
 Homepage: http://pysnmp.sourceforge.net/
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-pysnmp4.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-pysnmp4
 Testsuite: autopkgtest-pkg-python
-
-Package: python-pysnmp4
-Architecture: all
-Depends: ${python:Depends},
-         smitools,
-	 ${misc:Depends}
-Recommends: python-pysnmp4-mibs,
-            python-pysnmp4-apps,
-            python-twisted
-Conflicts: python-pysnmp2,
-           python-pysnmp-common
-Replaces: python-pysnmp2,
-          python-pysnmp-common
-Provides: python-pysnmp2,
-          python-pysnmp-common
-Description: Python SNMP library for agents and managers (Python 2 module)
- This  is a  Python implementation  of SNMP  v.1/v.2c/v.3  engine. Its
- general  functionality  is   to  assemble/disassemble  SNMP  messages
- from/into given SNMP Object  IDs along with associated values. PySNMP
- also provides a few transport methods specific to TCP/IP networking.
- .
- PySNMP is written entirely in  Python and is self-sufficient in terms
- that it does not rely on any third party tool (it isn't a wrapper).
- .
- This package provides Python 2 module.
 
 Package: python3-pysnmp4
 Architecture: all

## python-pysnmp4 4.4.12

=== debian/changelog ===
python-pysnmp4 (4.4.12-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + python-pysnmp4-doc: Add Multi-Arch: foreign.
  * Set upstream metadata fields: Repository, Repository-Browse.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 21 Aug 2021 14:08:45 +0100

python-pysnmp4 (4.4.12-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from deprecated 9 to 12.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Thomas Goirand ]
  * Team upload.
  * New upstream release.
  * Added ${sphinxdoc:Depends} in depends of the -doc package.

 -- Thomas Goirand <zigo@debian.org>  Mon, 05 Oct 2020 09:19:06 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: python-pysnmp4
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Jan Lübbe <jluebbe@debian.org>,
 	   Deepak Tripathi <apenguinlinux@gmail.com>,
            Vincent Bernat <bernat@debian.org>
 Standards-Version: 4.1.2
-Build-Depends: debhelper-compat (= 9),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
                python3-sphinx, python3-sphinx-rtd-theme,
                python3-all,
@@ -16,8 +16,8 @@
                python3-pysmi,
                python3-pyasn1 (>= 0.2.3)
 Homepage: http://pysnmp.sourceforge.net/
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-pysnmp4.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-pysnmp4
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-pysnmp4.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-pysnmp4
 Testsuite: autopkgtest-pkg-python
 
 Package: python3-pysnmp4
@@ -38,7 +38,8 @@
 Package: python-pysnmp4-doc
 Section: doc
 Architecture: all
-Depends: ${misc:Depends}
+Depends: ${misc:Depends}, ${sphinxdoc:Depends}
+Multi-Arch: foreign
 Description: Python SNMP library for agents and managers (unstable branch)
  This  is a  Python implementation  of SNMP  v.1/v.2c/v.3  engine. Its
  general  functionality  is   to  assemble/disassemble  SNMP  messages

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

export PYBUILD_NAME=pysnmp4

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

# There are no unittests, but some documentation string may be
# executed while they are not really unittests.
override_dh_auto_test:

override_dh_installdocs:
	dh_installdocs
	http_proxy=http://127.0.0.1:9 \
	https_proxy=https://127.0.0.1:9 \
	PYTHONPATH=. python3 -m sphinx -N -q -E -b html docs/source/ \
		debian/python-pysnmp4-doc/usr/share/doc/python-pysnmp4-doc/html/

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%pysnmp-$1.tar.gz%" \
   https://github.com/etingof/pysnmp/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## python-pysnmp4 7.1.21

=== debian/changelog ===
python-pysnmp4 (7.1.21-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 28 Sep 2025 11:42:34 +0200

python-pysnmp4 (7.1.21-1) experimental; urgency=medium

  * New upstream release.
  * d/watch: Use forked upstream repository from lextudio, use git mode.
  * d/control: Update project Homepage URL.
  * d/upstream/metadata: Update URL.
  * d/copyright: update URL.
  * Ran wrap-and-sort -bastk.
  * Add myself as uploader.
  * Removed 0001-Remove-privacy-breach-badges.patch.
  * Rebased 0002-Reproducible-build.patch.
  * Add pybuild-plugin-pyproject and flit as build-depends.
  * Add fix-pyproject-license-field-must-be-a-dict.patch.
  * Add python3-sphinx-sitemap, python3-sphinx-notfound-page and
    python3-sphinx-copybutton build-depends.
  * Add replace-furo-theme-by-sphinx_rtd_theme.patch.
  * Add LeXtudio Inc. and myself in d/copyright.
  * Add add-tool.flit.module-in-pyproject.toml.patch.
  * Fix PYBUILD_NAME=pysnmp in d/rules.

 -- Thomas Goirand <zigo@debian.org>  Tue, 16 Sep 2025 13:47:17 +0200

python-pysnmp4 (4.4.12-4) unstable; urgency=medium

  * Team upload.
  * Add dependency on python3-pyasyncore (Closes: #1040085)

 -- Alexandre Detiste <tchet@debian.org>  Tue, 18 Mar 2025 19:19:27 +0100

python-pysnmp4 (4.4.12-3) unstable; urgency=high

  * Team upload.
  * Re add removed 'pyasn1.compat.octets' shims with a patch.
    Closes: #1098568, #1098592, #1098605, #1098606, #1098610

 -- Alexandre Detiste <tchet@debian.org>  Sat, 22 Feb 2025 15:07:05 +0100

=== debian/control ===
Source: python-pysnmp4
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Jan Lübbe <jluebbe@debian.org>,
 Deepak Tripathi <apenguinlinux@gmail.com>,
 Thomas Goirand <zigo@debian.org>,
 Vincent Bernat <bernat@debian.org>,
Standards-Version: 4.1.2
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 flit,
 pybuild-plugin-pyproject,
 python3-all,
 python3-pyasn1,
 python3-pycryptodome,
 python3-pysmi,
 python3-setuptools,
 python3-sphinx,
 python3-sphinx-copybutton,
 python3-sphinx-notfound-page,
 python3-sphinx-rtd-theme,
 python3-sphinx-sitemap,
 python3-twisted,
Homepage: https://github.com/lextudio/pysnmp
Vcs-Git: https://salsa.debian.org/python-team/packages/python-pysnmp4.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-pysnmp4
Testsuite: autopkgtest-pkg-python

Package: python3-pysnmp4
Architecture: all
Depends:
 python3-pysnmp,
 ${misc:Depends},
 ${python3:Depends},
Description: Python SNMP library for agents and managers - transition empty package
 This  is a  Python implementation  of SNMP  v.1/v.2c/v.3  engine. Its
 general  functionality  is   to  assemble/disassemble  SNMP  messages
 from/into given SNMP Object  IDs along with associated values. PySNMP
 also provides a few transport methods specific to TCP/IP networking.
 .
 PySNMP is written entirely in  Python and is self-sufficient in terms
 that it does not rely on any third party tool (it isn't a wrapper).
 .
 This package provides a dependency package (empty package) to transition to
 python3-pysnmp, and can be safely removed.

Package: python-pysnmp4-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Multi-Arch: foreign
Description: Python SNMP library for agents and managers - doc
 This  is a  Python implementation  of SNMP  v.1/v.2c/v.3  engine. Its
 general  functionality  is   to  assemble/disassemble  SNMP  messages
 from/into given SNMP Object  IDs along with associated values. PySNMP
 also provides a few transport methods specific to TCP/IP networking.
 .
 PySNMP is written entirely in  Python and is self-sufficient in terms
 that it does not rely on any third party tool (it isn't a wrapper).
 .
 This package provides the documentation.

Package: python3-pysnmp
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Breaks:
 python3-pysnmp4 (<< 7),
Replaces:
 python3-pysnmp4 (<< 7),
Description: Python SNMP library for agents and managers
 This  is a  Python implementation  of SNMP  v.1/v.2c/v.3  engine. Its
 general  functionality  is   to  assemble/disassemble  SNMP  messages
 from/into given SNMP Object  IDs along with associated values. PySNMP
 also provides a few transport methods specific to TCP/IP networking.
 .
 PySNMP is written entirely in  Python and is self-sufficient in terms
 that it does not rely on any third party tool (it isn't a wrapper).

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 # -*- mode: makefile; coding: utf-8 -*-
 
-export PYBUILD_NAME=pysnmp4
+export PYBUILD_NAME=pysnmp
 
 %:
 	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

=== debian/watch ===
version=4
opts="mode=git,uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/lextudio/pysnmp refs/tags/v(\d[brc\d\.]+)

## python-pysnmp4 7.1.22

=== debian/changelog ===
python-pysnmp4 (7.1.22-1) unstable; urgency=medium

  * New upstream release.
  * Refreshed patches:
    - add-tool.flit.module-in-pyproject.toml.patch
    - fix-pyproject-license-field-must-be-a-dict.patch

 -- Thomas Goirand <zigo@debian.org>  Wed, 25 Feb 2026 15:52:14 +0100

python-pysnmp4 (7.1.21-3) unstable; urgency=medium

  * Add missing __init__.py in pysnmp/hlapi/ folder.

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Sep 2025 13:30:59 +0200

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,14 @@
 
 %:
 	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
+
+override_dh_auto_clean:
+	dh_auto_clean
+	rm -f pysnmp/hlapi/__init__.py
+
+override_dh_auto_build:
+	touch pysnmp/hlapi/__init__.py
+	dh_auto_build
 
 # There are no unittests, but some documentation string may be
 # executed while they are not really unittests.
